Bug 1827811 - python3-rpm-macros uses undefined %py_setup, missing dependency on python-rpm-macros
Summary: python3-rpm-macros uses undefined %py_setup, missing dependency on python-rpm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rpm-macros
Version: 31
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-24 20:59 UTC by Guy Streeter
Modified: 2020-05-06 04:29 UTC (History)
6 users (show)

Fixed In Version: python-rpm-macros-3-55.fc31 python-rpm-macros-3-56.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-30 03:43:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Guy Streeter 2020-04-24 20:59:01 UTC
Description of problem:

python3-rpm-macros uses %py_setup, but does not define it.
Installing python-rpm-macros resolves the problem, but the python3 package does not list the python package as a requirement.

Version-Release number of selected component (if applicable):

python3-rpm-macros-3-54.fc31.noarch

How reproducible:

Consistently

Steps to Reproduce:
1. Un-install python-rpm-macros
2. Try to rpmbuild something that uses %py3_build

Actual results:

+ /usr/bin/python3 '%{py_setup}' build '--executable=/usr/bin/python3 -s'
/usr/bin/python3: can't open file '%{py_setup}': [Errno 2] No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.XXXXXX (%build)


Expected results:

Successful build.

Comment 2 Fedora Update System 2020-04-28 13:09:40 UTC
FEDORA-2020-3efdcaa106 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3efdcaa106

Comment 3 Fedora Update System 2020-04-28 13:09:59 UTC
FEDORA-2020-6db790bb9e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6db790bb9e

Comment 4 Fedora Update System 2020-04-29 01:55:45 UTC
FEDORA-2020-6db790bb9e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6db790bb9e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6db790bb9e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-04-29 02:05:00 UTC
FEDORA-2020-3efdcaa106 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3efdcaa106`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3efdcaa106

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-30 03:43:20 UTC
FEDORA-2020-6db790bb9e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-05-06 04:29:53 UTC
FEDORA-2020-3efdcaa106 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.